ALTER TABLE `zzgl_log_dgjl`
    ADD COLUMN `type` int(11) NULL COMMENT '1 转正 2调岗 3离职 4岗位删除员工 5 岗位添加员工' AFTER `comment`;

CREATE TABLE `yggl_emp_lzyy`
(
    `id`    int(11) NOT NULL,
    `value` varchar(255) NULL COMMENT '离职原因',
    PRIMARY KEY (`id`)
) COMMENT = '离职原因';

ALTER TABLE `yggl_emp_lzyy`
    MODIFY COLUMN `id` int(11) NOT NULL AUTO_INCREMENT FIRST;

ALTER TABLE `timer_test`.`yggl_emp_lzyy`
    ADD COLUMN `org_code` int(11) NULL DEFAULT NULL COMMENT '企业Id' AFTER `value`;

ALTER TABLE `yggl_main_lzb`
    ADD COLUMN `lzyy_id` int(11) NULL COMMENT '离职原因Id' AFTER `query`,
MODIFY COLUMN `lzbz` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '离职去向（原离职备注）' AFTER `query`,
MODIFY COLUMN `lzyy` varchar(800) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '原因说明（原离职原因）' AFTER `lzbz`;

ALTER TABLE yggl_main_emp`
    ADD COLUMN `zpgl_zj_id` int(11) NULL DEFAULT NULL COMMENT '职级字典id' AFTER `zpgl_gzdd_id`;

ALTER TABLE `timer_test`.`insure_user`
    ADD COLUMN `create_time` datetime(0) NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '创建时间' AFTER `reason`;

CREATE TABLE ` yggl_main_importLog `  (
  ` id ` int(11) NOT NULL AUTO_INCREMENT,
  ` user_id ` int(11) NULL DEFAULT NULL COMMENT ''yggl_main_emp_empnum'',
  ` create_time ` datetime(0) NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP(0) COMMENT ''导入时间'',
  ` success_num ` int(11) NULL DEFAULT NULL COMMENT ''成功条数'',
  ` err_num ` int(11) NULL DEFAULT NULL COMMENT ''失败条数'',
  ` org_code ` int(11) NULL DEFAULT NULL,
  PRIMARY KEY (` id `) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

ALTER TABLE `timer_test`.`insure_user`
MODIFY COLUMN `apply_type` int(11) NULL DEFAULT NULL COMMENT '申请类型：1新增 2投保 3批改' AFTER `replace_trans_id`;
