package cn.timer.api.bean.extension;

import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.io.Serializable;
import java.util.HashMap;
import java.util.Map;

/**
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2021/12/13
 */
@Data
@ApiModel
public class ExtensionJobConfig implements Serializable {
    private ExtensionCore core;
    private ExtensionMessage message;
    private Boolean disabled;
    private Map<String,Object> selector = new HashMap<>(0);
    private Map<String,Integer> waiting = new HashMap<>(0);
    private String disabled_reason;
    private ExtensionLink link;
    private ExtensionCss css;
    private ExtensionSystem system;

}
