package cn.timer.api.controller.insure.enums;

import cn.timer.api.utils.ExcelUtils;

/**
 * @Description TODO
 * @Author wgd 2022/09/26 废弃枚举类
 * @Date 2022/3/24 17:20
 */
public enum PlanEnum {
    A_30(12,"30万意外/3万医疗/扩展24小时（A类）","A类","36968","63119"),
    A_50(15,"50万意外/5万医疗/扩展24小时（A类）","A类","36969","63119"),
    A_80(18,"80万意外/10万医疗/扩展24小时（A类）","A类","36970","63119"),
    A_80_20(25,"80万意外/20万医疗/扩展24小时（A类）","A类","36971","63119"),
    A_100(28,"100万意外/10万医疗/扩展24小时（A类）","A类","36972","63119"),
    B_30(18,"30万意外/3万医疗/扩展24小时（B类）","B类","36968","63120"),
    B_50(20,"50万意外/5万医疗/扩展24小时（B类）","B类","36969","63120"),
    B_80(35,"80万意外/10万医疗/扩展24小时（B类）","B类","36970","63120"),
    B_80_20(38,"80万意外/20万医疗/扩展24小时（B类）","B类","36971","63120"),
    B_100(40,"100万意外/10万医疗/扩展24小时（B类）","B类","36972","63120"),
    C_50(60,"50万意外/5万医疗/扩展24小时（C类）","C类","36969","63121"),
    C_80(75,"80万意外/10万医疗/扩展24小时（C类）","C类","36970","63121");

    private Integer price;
    private String name;
    private String type;
    private String plan;
    private String category;

    PlanEnum(Integer price, String name, String type, String plan, String category) {
        this.price = price;
        this.name = name;
        this.type=type;
        this.plan=plan;
        this.category=category;
    }

    public Integer getPrice() {
        return price;
    }

    public void setPrice(Integer price) {
        this.price = price;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getPlan() {
        return plan;
    }

    public void setPlan(String plan) {
        this.plan = plan;
    }

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }

    public static PlanEnum getEnum(String plan, String category) {
        for(PlanEnum v : values())
            if(v.getPlan().equals(plan)&&v.getCategory().equals(category)) return v;
        throw new IllegalArgumentException();
    }
    public static  PlanEnum getEnumOfName(String name){
        for(PlanEnum v : values())
            if(v.getName().equals(name)) return v;
        throw new IllegalArgumentException();
    }
}
