package cn.timer.api.dao.insure;

import cn.timer.api.bean.insure.InsurePlan;
import cn.timer.api.bean.insure.InsureProduct;
import cn.timer.api.bean.insure.InsureProductPlan;
import cn.timer.api.dto.insure.ProductDto;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 投保方案中间表
 *
 * @author wgd
 * @email 862422848@qq.com
 * @date 2022-09-26 10:06:39
 */
@Repository
public interface InsureProductPlanMapper extends BaseMapper<InsureProductPlan> {
    List<ProductDto> getListByProductId(@Param("productId") Integer productId);

}
