package cn.timer.api.bean.extension;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2021/12/13
 */
@Data
@ApiModel
public class ExtensionJobPositions implements Serializable {
    private String id;
    @ApiModelProperty(value = "用人部门名称", example = "用人部门名称")
    private String dep_name;
    @ApiModelProperty(value = "用人部门ID", example = "用人部门ID")
    private String dep_id;
    @ApiModelProperty(value = "职位名称", example = "职位名称")
    private String name;
    @ApiModelProperty(value = "工作城市", example = "省")
    private String province_name;
    @ApiModelProperty(value = "工作城市", example = "市")
    private String city_name;
    @ApiModelProperty(value = "工作城市", example = "区")
    private String town_name;
    @ApiModelProperty(value = "工作地点", example = "工作地点")
    private String work_place_name;
    private Integer status;
}
