package cn.timer.api.bean.insure;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Description TODO
 * @Author wgd
 * @Date 2022/3/3 8:48
 */
@Data
public class CallBack implements Serializable {
    private static final long serialVersionUID = 61499950876094044L;
    /**
     * 0失败 1成功
     * 保全复核回调：0代表核保失败，1代表核保成功，核保成功才可调用支付
     * 保全批单回调：0代表保全失败，1代表保全成功
     */
    private String status;
    /**
     * 1保全复核回调
     * 2保全批单回调
     */
    private String callback_type;
    private String policy_status;
    private String err_msg;
    private String policy_no;
    private String serial_number;
    private String quote_trans_id;
    private String serial_no;
    private String policy_file;
    private String total_expenditure;
    private String endorsement_file;
    private OrderImportInfo order_import_info;
}
