package cn.timer.api.bean.insure;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;



/**
 * 省市区
 *
 * @author wgd
 * @email 862422848@qq.com
 * @date 2022-06-27 15:09:26
 */
@Entity
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Table(name = "insure_province")
@ApiModel("省市区")
public class InsureProvince extends Model<InsureProvince> {

	private static final long serialVersionUID = 4347130709431957277L;
	@Id
	private Integer id;
	/**
	* 名字
	*/
	private String name;
	/**
	* 值
	*/
	private Integer pid;
	/**
	* 值
	*/
	private Integer value;

}
