package cn.timer.api.controller.insure;


import cn.timer.api.bean.insure.InsurePay;
import cn.timer.api.bean.insure.InsurePolicy;
import cn.timer.api.dao.insure.InsureUserMapper;
import cn.timer.api.utils.Result;
import cn.timer.api.utils.ResultUtil;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;





/**
 * 支付流水表
 *
 * @author wgd
 * @email 862422848@qq.com
 * @date 2022-05-18 19:33:23
 */
@RestController
@RequestMapping("/insurePay")
public class InsurePayController{
	@Autowired
	private InsureUserMapper insureUserMapper;

	@Value("${insure.appid}")
	private String appid;
	@Value("${insure.secret}")
	private String secret;
	@Value("${insure.appidq}")
	private String appidq;
	@Value("${insure.secretq}")
	private String secretq;
	/*投保支付*/
	@Value("${insure.toPayUrl}")
	private String toPayUrl;

	@GetMapping(value = "/cancelPayment")
	@ApiOperation(value = "取消支付", httpMethod = "GET", notes = "取消支付")
	public Result<Object> cancelPayment(@RequestParam(required = true,value = "policyId")Integer policyId){
		InsurePolicy insurePolicy = InsurePolicy.builder().id(policyId).build().selectById();
		if(insurePolicy==null){
			return ResultUtil.error("保单不存在");
		}
		if("4".equals(insurePolicy.getStatus())){
			return  ResultUtil.error("保单不是未支付状态");
		}

//        String data = HttpUtils.sendGet(setParams())
		return null;
	};



}
