package cn.timer.api.dao.insure;

import cn.timer.api.bean.insure.InsurePlan;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 投保方案
 *
 * @author wgd
 * @email 862422848@qq.com
 * @date 2022-09-23 11:53:23
 */
@Repository
public interface InsurePlanMapper extends BaseMapper<InsurePlan> {
    List<InsurePlan> getList();

    List<InsurePlan> findPlanByIds(@Param("list")List ids);
}
