/**
 * @date 2019年11月16日
 * @author 翁东州
 * @方法中文名称:
 */
package cn.timer.api.dto.yggl;

import java.io.Serializable;
import java.util.Date;

import cn.timer.api.utils.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @date 2019年11月16日
 * @author 翁东州
 * @方法中文名称:
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class YgQueryDto extends Page {

//	private static final long serialVersionUID = -1230023773946170942L;
	@ApiModelProperty
	private Integer id;

	@ApiModelProperty(value = "员工姓名", example = "华仔")
	private String empName;

	@ApiModelProperty(value = "员工号", example = "1")
	private Integer empNum;

	@ApiModelProperty(value = "部门名", example = "1")
	private String deptName;

	@ApiModelProperty(value = "上级部门名", example = "1")
	private String upName;

	@ApiModelProperty(value = "入职时间", example = "1")
	private Date rzTime;

	@ApiModelProperty(value = "应离职时间", example = "1")
	private Date ylzTime;

	@ApiModelProperty(value = "工作性质1全职、2实习生、3兼职、4劳务派遣、5劳务、6派遣、7外包、8退休返聘", example = "1")
	private Integer jobType;

	@ApiModelProperty(value = "手机号", example = "1")
	private String phone;

	@ApiModelProperty(value = "部门id", example = "101")
	private Integer bmgwid;

	@ApiModelProperty(value = "员工状态1正式、2试用、3离职中、4已离职", example = "2")
	private Integer jobStatus;

	@ApiModelProperty(value = "手机号、姓名", example = "1388888888 or 张三")
	private String query;

	@ApiModelProperty(value = "备注", example = "123")
	private String bz;

	@ApiModelProperty(value = "离职原因", example = "123")
	private String lzyy;

	@ApiModelProperty(value = "头像url", example = "url")
	private String headUrl;

	@ApiModelProperty(value = "性别", example = "1")
	private Integer sex;

	@ApiModelProperty(value="是否已购买保险",example = "0")
	private Integer isInsure;

	@ApiModelProperty(value="证件号码 ",example="证件号码")
	private String zjNum;

	private Integer insureId;
}
